Subject: bug#19749: orpheus does not build on mips64

From: Mark H Weaver <[email-masked]>
Date: Tue, 03 Feb 2015 01:04:38 -0500

Andreas Enge <[email-masked]> writes:

> the orpheus package fails to build on mips64 with the following message:
>
> checking build system type... ./config.guess: unable to guess system type
> This script, last modified 2001-07-12, has failed to recognize
> the operating system you are using. It is advised that you
> download the most up to date version of the config scripts from
>  ftp://ftp.gnu.org/pub/gnu/config/
>
> Orpheus itself seems to be unmaintained (the last release dates from 2006).

The config.guess problem can be easily worked around by passing
--build=<triplet> to configure.  I would suggest something similar to
what I did in the gmp package to get it working on armhf:

   (arguments `(#:configure-flags
                '(;; Build a "fat binary", with routines for several
                  ;; sub-architectures.
                  "--enable-fat"
                  "--enable-cxx"

                  ;; FIXME: gmp-6.0.0a's config.guess fails on
                  ;; multi-core armhf systems.
                  ,@(if (%current-target-system)
                        '()
                        (let ((triplet
                               (nix-system->gnu-triplet (%current-system))))
                          (list (string-append "--build=" triplet)))))))

Would you like to try this?

> I would suggest to either drop the package, or to disable it on mips.

Please, let's not disable builds on MIPS unless it is clear that it
would be a very difficult job to get it working.

       Mark